package com.yihu.hos.resource.model;

/**
 * RsDimension entity. @author MyEclipse Persistence Tools
 */

public class RsDimension implements java.io.Serializable {

	// Fields

	private String id;
	private String name;
	private String category;
	private String type;
	private String dictCode;

	// Constructors

	/** default constructor */
	public RsDimension() {
	}

	/** minimal constructor */
	public RsDimension(String name, String category) {
		this.name = name;
		this.category = category;
	}

	/** full constructor */
	public RsDimension(String name, String category, String type, String dictCode) {
		this.name = name;
		this.category = category;
		this.type = type;
		this.dictCode = dictCode;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCategory() {
		return this.category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDictCode() {
		return this.dictCode;
	}

	public void setDictCode(String dictCode) {
		this.dictCode = dictCode;
	}

}